strekoza.ai
    V3
    • V3
    • Add tracks
      POST
    • Update tracks
      PUT
    • Get track
      GET
    • Delete tracks
      DELETE

      Add tracks

      Prod
      https://api.deliverycrm.ru
      Prod
      https://api.deliverycrm.ru
      POST
      https://api.deliverycrm.ru
      /v3/tracks

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      Header Params

      Body Params application/json

      Example
      [
        {
          "service_id": 14,
          "track_number": "80086789513806",
          "phone": "79001234567",
          "email": "test@mail.me",
          "name": "Иванов Иван",
          "order_number": "Н-123",
          "campaign_id": 16,
          "price": 125.55,
          "unit_id": 22,
          "payment_type": 1,
          "comment": "comment here",
          "arrival_at": "2023-05-20 00:00:00",
          "return_at": "2023-05-25 00:00:00",
          "destination_index": 10523,
          "destination": "destination address",
          "status_id": 10,
          "products": [
            {
              "sku": "sku001",
              "name": "product 1",
              "description": "description 2",
              "quantity": 3,
              "price": 1000,
              "image_url": "https://example.com/product1.png"
            },
            {
              "sku": "sku002",
              "name": "product 2",
              "description": "description 2",
              "quantity": 3,
              "price": 1000,
              "image_url": "https://example.com/product2.png"
            }
          ],
          "custom_fields": [
            {
              "key": "custom_field_1",
              "value": "value1"
            },
            {
              "key": "custom_field_2",
              "value": "value2"
            }
          ]
        }
      ]

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.deliverycrm.ru/v3/tracks' \
      --header 'Authorization: Bearer <token>' \
      --header 'Content-Type: application/json' \
      --data-raw '[
        {
          "service_id": 14,
          "track_number": "80086789513806",
          "phone": "79001234567",
          "email": "test@mail.me",
          "name": "Иванов Иван",
          "order_number": "Н-123",
          "campaign_id": 16,
          "price": 125.55,
          "unit_id": 22,
          "payment_type": 1,
          "comment": "comment here",
          "arrival_at": "2023-05-20 00:00:00",
          "return_at": "2023-05-25 00:00:00",
          "destination_index": 10523,
          "destination": "destination address",
          "status_id": 10,
          "products": [
            {
              "sku": "sku001",
              "name": "product 1",
              "description": "description 2",
              "quantity": 3,
              "price": 1000,
              "image_url": "https://example.com/product1.png"
            },
            {
              "sku": "sku002",
              "name": "product 2",
              "description": "description 2",
              "quantity": 3,
              "price": 1000,
              "image_url": "https://example.com/product2.png"
            }
          ],
          "custom_fields": [
            {
              "key": "custom_field_1",
              "value": "value1"
            },
            {
              "key": "custom_field_2",
              "value": "value2"
            }
          ]
        }
      ]'

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Example
      [
          {
              "track": {
                  "id": 427149,
                  "track": "80086789513806",
                  "service": 14,
                  "unit": 22,
                  "statusId": null,
                  "statusName": null,
                  "campaign": {
                      "id": 16,
                      "is_base": true
                  }
              },
              "products": [
                  {
                      "sku": "sku001"
                  },
                  {
                      "sku": "sku002"
                  }
              ],
              "custom_fields": [
                  {
                      "key": "custom_field_1",
                      "value": "value1"
                  },
                  {
                      "key": "custom_field_2",
                      "value": "value2"
                  }
              ]
          }
      ]
      🟢200Available errors
      Modified at 2025-10-18 07:33:44
      Next
      Update tracks
      Built with